Package org.apache.lucene.analysis.util

## Class UnicodeProps

- java.lang.Object
- - org.apache.lucene.analysis.util.UnicodeProps

-     public final class UnicodeProps
      extends Object

  This file contains unicode properties used by various `CharTokenizer`s. The data was generated using ICU4J v70.1.0.0, unicode version: 14.0.0.0.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `UNICODE_VERSION` | Unicode version that was used to generate this file: "14.0.0.0"
    `static Bits` | `WHITESPACE` | Bitset with Unicode WHITESPACE code points.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNICODE_VERSION

          public static final String UNICODE_VERSION

      Unicode version that was used to generate this file: "14.0.0.0"
      See Also:
        Constant Field Values

    - #### WHITESPACE

          public static final Bits WHITESPACE

      Bitset with Unicode WHITESPACE code points.